unit Unit1;

interface

uses
  Windows, Forms, Controls, StdCtrls, ExtCtrls, Classes;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Panel1: TPanel;
    Panel2: TPanel;
    Edit1: TEdit;
    Edit2: TEdit;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Panel3: TPanel;
    Edit3: TEdit;
    CheckBox3: TCheckBox;
    Panel4: TPanel;
    Edit4: TEdit;
    CheckBox4: TCheckBox;
    Panel5: TPanel;
    Edit5: TEdit;
    CheckBox5: TCheckBox;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}
//{$R WindowsXP.res}

uses
  unit2;

var
  hTabCtrl1,hTabCtrl2:HWND;

procedure OnTabGetFocus(hTabCtrl:HWND; PageID:integer);
begin
  if hTabCtrl=hTabCtrl1 then
    case PageID of
      0: Form1.Panel1.Visible:=True;
      1: Form1.Panel2.Visible:=True;
      2: Form1.Panel5.Visible:=True;
    end;
  if hTabCtrl=hTabCtrl2 then
    case PageID of
      0: Form1.Panel3.Visible:=True;
      1: Form1.Panel4.Visible:=True;
    end;
end;

procedure OnTabLostFocus(hTabCtrl:HWND; PageID:integer);
begin
  if hTabCtrl=hTabCtrl1 then
    case PageID of
      0: Form1.Panel1.Visible:=False;
      1: Form1.Panel2.Visible:=False;
      2: Form1.Panel5.Visible:=False;
    end;
  if hTabCtrl=hTabCtrl2 then
    case PageID of
      0: Form1.Panel3.Visible:=False;
      1: Form1.Panel4.Visible:=False;
    end;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  tcStyle,tcExStyle:Cardinal;
begin
  Panel1.Hide;
  Panel2.Hide;
  Panel3.Hide;
  Panel4.Hide;
  Panel5.Hide;

  tcStyle:=TCS_HOTTRACK or TCS_FOCUSONBUTTONDOWN or TCS_TABS{ or TCS_TOOLTIPS};
  hTabCtrl1:=tcCreate(Handle,8,8,ClientWidth-16,120,0,tcStyle);
  if hTabCtrl1>0 then begin
    tcTabAdd(hTabCtrl1,'Page1',0);
    tcTabAdd(hTabCtrl1,' 2',1);
    tcTabAdd(hTabCtrl1,' 3',2);
    OnTabGetFocus(hTabCtrl1,0);
  end;

  tcStyle:=TCS_HOTTRACK or TCS_VERTICAL or TCS_BUTTONS or TCS_FOCUSONBUTTONDOWN;
  tcExStyle:=WS_EX_CLIENTEDGE;
  hTabCtrl2:=tcCreate(Handle,8,136,ClientWidth-16,121,tcExStyle,tcStyle);
  if hTabCtrl2>0 then begin
    tcTabAdd(hTabCtrl2,'Page10',0);
    tcTabAdd(hTabCtrl2,'Page20',1);
    OnTabGetFocus(hTabCtrl2,0);
  end;

  SetChangeTabProc(Addr(OnTabGetFocus),@OnTabLostFocus);
end;

end.
